<?php

namespace App\Libraries\MyStorage;

use App\Libraries\CommonLibrary;

abstract class MyStorage extends CommonLibrary
{
    private $_originName = "";
    private $_originContent = "";
    private $_originType = "";
    private $_originSequence = "";
    protected function __construct()
    {
        parent::__construct();
    }
    abstract public function save(): static;
    final public function getOriginName(): string
    {
        return $this->_originName;
    }
    final public function setOriginName(string $originName): void
    {
        $this->_originName = $originName;
    }
    final public function getOriginContent(): string
    {
        return $this->_originContent;
    }
    final public function setOriginContent(string $originContent): void
    {
        $this->_originContent = $originContent;
    }

    final public function getOrintginType(): string
    {
        return $this->_originType;
    }
    final public function setOriginType(string $originType): void
    {
        $this->_originType = $originType;
    }
    final public function getOriginSequence(): int
    {
        return $this->_originSequence;
    }
    final public function setOriginSequence(int $originSequence): void
    {
        $this->_originSequence = $originSequence;
    }
}
